/* CLIFTON:
	John: When does showRequest() get called?
			Directions: Run this edited script and determine where things fail
			NOTE: Be careful where you place comments in your code.
					(Comments embedded as shown below can cause some code to break because the 
						interpreter may cancel out the bracket ({) during export!)
				if ( ... )
					//	comments
				{
				...
				}
				
				I don't think you will need the setTimeout(fct, 200) delay in the long run.
***/
function tbfunction_showRequest2(txt, button1, button2, objName){
	var leftPos;
	var pos2;
	var buttonWidth1;
	// remove shadow in case size changes and new shadow must be created 
	tbfunction_createAlphaShadow("requestShadow", true);
	//Change colour for help
	tbfunction_pgTBObjSet("response", "visible", false);
	var isHelp = tbfunction_pgTBObjGet("requestBar","enabled");
	if (isHelp == false) {
		tbfunction_pgTBObjSet("requestDisplay", "backgroundColor", "255,250,205");
   } else {
		tbfunction_pgTBObjSet("requestDisplay", "backgroundColor", "255,255,255");
   }
  
	if (button1 == 1 || button1 == "OK") {
		//show OK button only
		if (button2) { // illegal character in button2
			txt = txt + " " + button2;
      }
		tbfunction_pgTBObjSet("buttonOK", "visible", true);
		tbfunction_pgTBObjSet("button1", "visible", false);
		tbfunction_pgTBObjSet("button2", "visible", false);
		tbfunction_pgStyleObject("requestDisplay", "padding-bottom", "70px");
	} else if (button1 == 2) {
		// response field + OK + Cancel (plus text displayed as response)
		if (objName) {
			if (objName.charAt(0) == "+") {
				objName = objName.replace("+", "")
			}
		}
		tbfunction_pgTBObjSet("buttonOK", "visible", false);
		tbfunction_pgTBObjSet("button1", "text", "OK");
		tbfunction_pgTBObjSet("button1", "visible", true);
		tbfunction_pgTBObjSet("button2", "text", button2);
		tbfunction_pgTBObjSet("button2", "visible", true);
		tbfunction_pgStyleObject("requestDisplay", "padding-bottom", "100px");
		tbfunction_pgTBObjSet("response", "visible", true);
		tbfunction_pgExecuteRemote("response", "setName", objName, true);
		tbfunction_pgExecuteRemote("response", "setFocus");
	} else if (button1 == "3") {
		//show 6 Action buttons 
		tbfunction_pgTBObjSet("buttonOK", "visible", false);
		tbfunction_pgTBObjSet("button1", "visible", false);
		tbfunction_pgTBObjSet("button2", "visible", false);
		tbfunction_pgStyleObject("requestDisplay", "padding-bottom", "43px");
		tbfunction_pgTBObjSet("B4", "visible", true);
		tbfunction_pgTBObjSet("B5", "visible", true);
		tbfunction_pgTBObjSet("B6", "visible", true);
		tbfunction_pgTBObjSet("Abuttons", "visible", true);
	} else if (button1 == "4") {
		//show 4 Action buttons 
		tbfunction_pgTBObjSet("buttonOK", "visible", false);
		tbfunction_pgTBObjSet("button1", "visible", false);
		tbfunction_pgTBObjSet("button2", "visible", false);
		tbfunction_pgStyleObject("requestDisplay", "padding-bottom", "43px");
		tbfunction_pgTBObjSet("Abuttons", "visible", true);
		tbfunction_pgTBObjSet("B4", "visible", true);
		tbfunction_pgTBObjSet("B5", "visible", false);
		tbfunction_pgTBObjSet("B6", "visible", false);
	} else if (button1 == "6") {
		//show 3 Action buttons 
		tbfunction_pgTBObjSet("buttonOK", "visible", false);
		tbfunction_pgTBObjSet("button1", "visible", false);
		tbfunction_pgTBObjSet("button2", "visible", false);
		tbfunction_pgStyleObject("requestDisplay", "padding-bottom", "43px");
		tbfunction_pgTBObjSet("Abuttons", "visible", true);
		tbfunction_pgTBObjSet("B4", "visible", false);
		tbfunction_pgTBObjSet("B5", "visible", false);
		tbfunction_pgTBObjSet("B6", "visible", false);
	} else if (button1 == "5") {
		//show OK button, 'No limit' button + input box   
		tbfunction_pgTBObjSet("button1", "text", "OK");
		tbfunction_pgTBObjSet("button2", "text", "No limit");
		tbfunction_pgTBObjSet("buttonOK", "visible", false);
		tbfunction_pgTBObjSet("button1", "visible", true);
		tbfunction_pgTBObjSet("button2", "visible", true);
		tbfunction_pgStyleObject("requestDisplay", "padding-bottom", "100px");
		tbfunction_pgTBObjSet("response", "visible", true);
		tbfunction_pgExecuteRemote("response", "setName", "", true);
	} else if (button1 == "7") {
		//show OK button, 'Cancel' button + input box   
		tbfunction_pgTBObjSet("button1", "text", "OK");
		tbfunction_pgTBObjSet("button2", "text", "Cancel");
		tbfunction_pgTBObjSet("buttonOK", "visible", false);
		tbfunction_pgTBObjSet("button1", "visible", true);
		tbfunction_pgTBObjSet("button2", "visible", true);
		tbfunction_pgStyleObject("requestDisplay", "padding-bottom", "100px");
		tbfunction_pgTBObjSet("response", "visible", true);
		tbfunction_pgExecuteRemote("response", "setName", "", true);
	} else {
		//show 2 buttons for answer to question.
		tbfunction_pgTBObjSet("buttonOK", "visible", false);
		tbfunction_pgTBObjSet("button1", "visible", true);
		tbfunction_pgTBObjSet("button2", "visible", true);
		tbfunction_pgTBObjSet("button1", "text", button1);
		tbfunction_pgTBObjSet("button2", "text", button2);
		tbfunction_pgStyleObject("requestDisplay", "padding-bottom", "70px");
		//get left of OK button
		leftPos = tbfunction_pgGetStyle("buttonOK", "left");
		leftPos = leftPos * 1
		buttonWidth1 = tbfunction_pgTBObjGet("button1", "width");
		buttonWidth1 = tbfunction_pgTBObjGet("button1", "width");
		leftPos = leftPos - (buttonWidth1 + 10);
		tbfunction_pgTBObjSet("button1", "left", leftPos);
	}

	tbfunction_pgTBObjSet("requestDisplay", "text", txt);
	var displayHeight = tbfunction_pgTBObjGet("requestDisplay", "height");
	var holdHeight = displayHeight; 
	if (button1 == "2" || button1 == "5" || button1 == "7") {
		tbfunction_pgTBObjSet("response", "top", displayHeight - 70);
	}

	tbfunction_pgTBObjSet("requestShadow", "height", holdHeight + 20);
	displayHeight = tbfunction_pgTBObjGet("requestGroup", "height");
	tbfunction_pgTBObjSet("mover", "height", displayHeight + 5);
	displayHeight = tbfunction_pgTBObjGet("requestDisplay", "height");
	displayHeight = displayHeight - 20;
	tbfunction_pgTBObjSet("buttonOK", "top", displayHeight);
	tbfunction_pgTBObjSet("button1", "top", displayHeight);
	tbfunction_pgTBObjSet("button2", "top", displayHeight);
	// create shadow
	tbfunction_createAlphaShadow("requestShadow");
	var fct = function () {
		// center the group on the page
		tbfunction_snapObjectToCenter("mover", "page", 'both', false, '0,0'); //was missing line terminator
		//tbfunction_pgTBObjSet("mover", "left", 347);
		//tbfunction_pgTBObjSet("mover", "top", 231);
		tbfunction_pgTBObjSet("mover", "visible", true);
		tbfunction_pgTBObjSet("requestGroup", "visible", true);
		// Not sure why this has to go here???
    	if (button1 == "6" || button1 == "3" || button1 == "4") {
			tbfunction_pgTBObjSet("AButtons", "visible", true);
		}
		tbfunction_pgStyleObject("requestDisplay", "padding-top", "45px");
		tbfunction_pgTBObjSet("shield", "visible", true);
	};
	setTimeout( fct, 200); //I don't this this line should be necessary in the long run!
}; //END tbfunction_showRequest2()

function tbfunction_showPad(progFolder, timeAllowed) {
	tbfunction_pgTBObjSet("pad", "height", 362);
	var barWidth = tbfunction_pgTBObjGet("bar", "width");
	tbfunction_pgTBObjSet("textDisplay", "width", barWidth);
	var isVisible = tbfunction_pgTBObjGet("teacherPad", "visible");
	if (isVisible == false) {
		tbfunction_pgTBObjSet("pad", "visible", true);
		tbfunction_pgGotoURL("pad", "/programs/video/CKE/pad/pad.html");
	} else {
		tbfunction_pgTBObjSet("menu", "visible", true);
		tbfunction_pgTBObjSet("teacherPad", "text", "");
		tbfunction_pgTBObjSet("pad", "visible", true);
	}
	var fct = function () {
		tbfunction_snapObjectToCenter("container", "page", "both", false, '0,0'); //was missing line terminator
		//tbfunction_pgTBObjSet("container", "left", 233);
		//tbfunction_pgTBObjSet("container", "top", 103);
		tbfunction_pgTBObjSet("shield", "visible", true);
		tbfunction_pgTBObjSet("container", "visible", true);
		tbfunction_pgTBObjSet("myGroup", "visible", true);
		timeAllowed = timeAllowed * 1; 			//Was missing line terminator
		if (timeAllowed > 0) {
			var lapseS = tbfunction_pgDateFormat(timeAllowed, "isoTime");
			lapseS = lapseS.substring(3, 8);
			tbfunction_pgTBObjSet("writingCounter", "text", lapseS);
			tbfunction_pgTimer(true, 1000, "writingCounter");
			tbfunction_pgTBObjSet("timedWriting", "visible", true);
			tbfunction_pgTimer(false, timeAllowed, "hideStart");
		}
	}
	setTimeout( fct, 200); //I don't this this line should be necessary in the long run!
}; //END tbfunction_showPad()